#ifndef __GLGUITEXTLABEL_H
#define __GLGUITEXTLABEL_H

#include <iostream>
#include <string>
#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>

#include "object.h"
#include "../glcolor.h"
#include "../glfontengine.h"

class GLGuiTextLabel : public GLGuiObject{
	protected:
		GLFontEngine fontengine;
		std::string text;
		
		GLColor col;
		int x, y;
		bool center;
		int wrap;
	public:
		GLGuiTextLabel(int _x, int _y, bool _center=false, int _wrap=0);
		GLGuiTextLabel(std::string, int _x, int _y, bool _center=false, int _wrap=0);

		void setText(std::string str);
		void setColor(GLColor);
		void setPos(int _x, int _y);
		virtual void render();
};

#endif
