#ifndef __GLRECT_H
#define __GLRECT_H

#include <SDL.h>

class GLRect {
	public:
		float x, y;
		float w, h;
		
		GLRect();
		GLRect(float, float, float, float);
		GLRect(const SDL_Rect&);
		
		void set(float, float, float, float);
		void setPoint(float, float);
		void setDim(float, float);
		SDL_Rect getSDLRect();
	
};

#endif
